# $Revision: 1.30 $, $Date: 2011/07/11 20:31:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	SASL
Summary:	Authen::SASL Perl module - SASL authentication framework
Summary(pl.UTF-8):	Moduł Perla Authen::SASL - szkielet autentykacji SASL
Name:		perl-Authen-SASL
Version:	2.1401
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6f25b75af1f44bf1078e0fdb4a2f73af
URL:		http://search.cpan.org/dist/Authen-SASL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-GSSAPI
%endif
# earlier perl-ldap contain own Authen::SASL
Conflicts:	perl-ldap < 0.26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all
protocols should be able to share.

%description -l pl.UTF-8
SASL jest ogólnym mechanizmem autentykacji wykorzystywanym przez
niektóre protokoły sieciowe. Authen::SASL udostępnia szkielet
implementacji, który powinien dawać możliwość współdzielenia go przez
wszystkie protokoły.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Authen/SASL.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes api.txt
%dir %{perl_vendorlib}/Authen/SASL
%{perl_vendorlib}/Authen/SASL.pm
%{perl_vendorlib}/Authen/SASL/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Authen-SASL.spec,v $
Revision 1.30  2011/07/11 20:31:04  marti
- up to 2.1401

Revision 1.29  2009/10/16 11:33:03  amateja
- updated to 2.13

Revision 1.28  2009/06/15 09:37:01  amateja
- updated to 2.12

Revision 1.27  2008/07/27 22:49:52  arekm
- release 2

Revision 1.26  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.24  2006/07/25 20:45:00  glen
- 2.10, generic URL

Revision 1.23  2005/06/22 01:18:28  czucz
- updated to 2.09

Revision 1.22  2004/11/03 21:01:01  paladine
- formatting

Revision 1.21  2004/11/03 11:31:14  qboosh
- unified comments

Revision 1.20  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.19  2004/05/27 11:36:00  adamg
- updated to 2.08

Revision 1.18  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.17  2004/05/06 18:43:03  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.15  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.14  2004/04/10 19:55:00  adamg
- updated to 2.07

Revision 1.13  2003/11/08 21:15:10  migo
- up to 2.06
- why there was BR: pam-devel?
- bconded BR: perl-Digest-HMAC

Revision 1.12  2003/10/29 18:20:41  migo
- up to 2.05
- new bcond style

Revision 1.11  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/07/30 22:58:47  grzegol
- updated to 2.04

Revision 1.8  2003/05/28 13:00:24  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 17:42:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:39  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/05 16:17:12  ankry
- autoupdated to 2.03

Revision 1.1  2002/09/29 10:44:23  ankry
- new

Revision 1.24  2002/07/11 09:46:07  qboosh
- new %doc

Revision 1.23  2002/07/11 07:57:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:29:40  depesz
- cleanup; revision++

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:06:13  depesz
- automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
- adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/07/25 09:05:35  mis
- autoupdated to 0.12

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %{rpmcflags} macro.

Revision 1.13  2001/04/17 12:05:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:43  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 22:03:53  kloczek
- updated to 0.11.

Revision 1.9  2000/12/27 18:18:27  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/27 18:32:05  kloczek
- updated to 0.10.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 07:07:42  kloczek
- updated to 0.09.

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
